Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RichText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RichText

Direct Known Subclasses:
  `TdApi.RichTextAnchor`, `TdApi.RichTextAnchorLink`, `TdApi.RichTextBold`, `TdApi.RichTextEmailAddress`, `TdApi.RichTextFixed`, `TdApi.RichTextIcon`, `TdApi.RichTextItalic`, `TdApi.RichTextMarked`, `TdApi.RichTextPhoneNumber`, `TdApi.RichTextPlain`, `TdApi.RichTextReference`, `TdApi.RichTexts`, `TdApi.RichTextStrikethrough`, `TdApi.RichTextSubscript`, `TdApi.RichTextSuperscript`, `TdApi.RichTextUnderline`, `TdApi.RichTextUrl`

Enclosing class:
  TdApi

public abstract static class TdApi.RichText extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`RichText()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RichText

public RichText()